summaryrefslogtreecommitdiff
path: root/sys-firmware/ipxe
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /sys-firmware/ipxe
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'sys-firmware/ipxe')
-rw-r--r--sys-firmware/ipxe/Manifest4
-rw-r--r--sys-firmware/ipxe/ipxe-1.21.1.ebuild117
-rw-r--r--sys-firmware/ipxe/ipxe-1.21.1_p20230601-r1.ebuild138
-rw-r--r--sys-firmware/ipxe/ipxe-1.21.1_p20230601.ebuild137
-rw-r--r--sys-firmware/ipxe/metadata.xml22
5 files changed, 418 insertions, 0 deletions
diff --git a/sys-firmware/ipxe/Manifest b/sys-firmware/ipxe/Manifest
new file mode 100644
index 000000000000..03e4b585e3cd
--- /dev/null
+++ b/sys-firmware/ipxe/Manifest
@@ -0,0 +1,4 @@
+DIST ipxe-1.21.1-bin.tar.xz 1860424 BLAKE2B 9d621c92be1058389758f885a02b601169d645335bba366a18d16326a7616345e44eb0cd5007d32ac034e7e3c8f8eecd90ade3346e34ca0df899622321f38017 SHA512 85afacfb70e562a935380b7d14ab7328e418478a6f6124eaec7cd0fefb9ba13b8a3f04833fab7b724ceb4c94897a7be2c67faa8be59373719a972ad51e6a5ab3
+DIST ipxe-1.21.1.tar.gz 3934045 BLAKE2B 03871b5f89c6228a9082bb89c7b102d85e5f3afcd5fe0d93762e220fe162c9c3037a9918f30251fd103835d949335f99109a12559f560a5b686e65a7c24c6501 SHA512 47400975110ed4ab95835aa1b7c8d5a6917c19c5713c6ab88bc0741a3adcd62245a9c4251d1f46fffc45289c6b18bf893f86dbc3b67d3189c41b7f198367ecaa
+DIST ipxe-1.21.1_p20230601-bin.tar.xz 2248076 BLAKE2B aac91488a4df65548b857980283fc66b3d6d245e400a8dc1115be1708439d09aafb9d6fe93366feafa889035bdfb13edd15be34bf47aa52b75f14f75a1956618 SHA512 2dbcc5b6bf764f9fecf0fd18e304d4ac21ae081a590ceda710a2984e2cd500cff3f26f36d4abb15f806ee64f11ee1b1eb299e6e184f54d85ce74843918a4f02a
+DIST ipxe-1.21.1_p20230601.gh.tar.gz 4137586 BLAKE2B 51d8e0f5c95e77707d934a0d8c16104c0d7c500ca33f408c2d94b77244d4b198e7a4b40ee091eb059a55bc0f780572bee8d3556de28f9fdae498206c24139276 SHA512 3fbb803bd679adbeb805c7d3a8ac952e14ff41fdbb7b0c30d8ccb196e39da346faf4c3e2588466bc82400b9f113f08aa8a8056d4ed2393d1aa0fee0d22b67111
diff --git a/sys-firmware/ipxe/ipxe-1.21.1.ebuild b/sys-firmware/ipxe/ipxe-1.21.1.ebuild
new file mode 100644
index 000000000000..bb59185a372f
--- /dev/null
+++ b/sys-firmware/ipxe/ipxe-1.21.1.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit savedconfig toolchain-funcs
+
+DESCRIPTION="Open source network boot (PXE) firmware"
+HOMEPAGE="https://ipxe.org/"
+SRC_URI="
+ !binary? ( https://github.com/${PN}/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz )
+ binary? ( https://dev.gentoo.org/~tamiko/distfiles/${P}-bin.tar.xz )"
+S="${WORKDIR}/${P}/src"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~loong ~mips ~ppc ppc64 ~riscv x86"
+IUSE="+binary uefi ipv6 iso lkrn +qemu undi usb vmware"
+REQUIRED_USE="!amd64? ( !x86? ( binary ) )"
+
+SOURCE_DEPEND="
+ app-arch/xz-utils
+ dev-lang/perl
+ iso? (
+ app-cdr/cdrtools
+ sys-boot/syslinux
+ )"
+BDEPEND="
+ !binary? (
+ amd64? ( ${SOURCE_DEPEND} )
+ x86? ( ${SOURCE_DEPEND} )
+ )"
+
+src_configure() {
+ use binary && return
+
+ cat > config/local/general.h <<-EOF || die
+ #undef BANNER_TIMEOUT
+ #define BANNER_TIMEOUT 0
+ EOF
+
+ if use ipv6; then
+ cat >> config/local/general.h <<-EOF || die
+ #define NET_PROTO_IPV6
+ EOF
+ fi
+
+ if use vmware; then
+ cat >> config/local/general.h <<-EOF || die
+ #define VMWARE_SETTINGS
+ #define CONSOLE_VMWARE
+ EOF
+ fi
+
+ restore_config config/local/general.h
+
+ tc-ld-disable-gold
+}
+
+ipxemake() {
+ # Q='' makes the build verbose since that's what everyone loves now
+ emake Q='' \
+ CC="$(tc-getCC)" \
+ LD="$(tc-getLD)" \
+ AS="$(tc-getAS)" \
+ AR="$(tc-getAR)" \
+ NM="$(tc-getNM)" \
+ OBJCOPY="$(tc-getOBJCOPY)" \
+ RANLIB="$(tc-getRANLIB)" \
+ OBJDUMP="$(tc-getOBJDUMP)" \
+ HOST_CC="$(tc-getBUILD_CC)" \
+ "$@"
+}
+
+src_compile() {
+ use binary && return
+
+ export NO_WERROR=1
+ if use qemu; then
+ ipxemake bin/808610de.rom # pxe-e1000.rom (old)
+ ipxemake bin/8086100e.rom # pxe-e1000.rom
+ ipxemake bin/80861209.rom # pxe-eepro100.rom
+ ipxemake bin/10500940.rom # pxe-ne2k_pci.rom
+ ipxemake bin/10222000.rom # pxe-pcnet.rom
+ ipxemake bin/10ec8139.rom # pxe-rtl8139.rom
+ ipxemake bin/1af41000.rom # pxe-virtio.rom
+ fi
+
+ if use vmware; then
+ ipxemake bin/8086100f.mrom # e1000
+ ipxemake bin/808610d3.mrom # e1000e
+ ipxemake bin/10222000.mrom # vlance
+ ipxemake bin/15ad07b0.rom # vmxnet3
+ fi
+
+ use uefi && ipxemake PLATFORM=efi BIN=bin-efi bin-efi/ipxe.efi
+ use iso && ipxemake bin/ipxe.iso
+ use undi && ipxemake bin/undionly.kpxe
+ use usb && ipxemake bin/ipxe.usb
+ use lkrn && ipxemake bin/ipxe.lkrn
+}
+
+src_install() {
+ insinto /usr/share/ipxe/
+
+ if use qemu || use vmware; then
+ doins bin/*.rom
+ fi
+ use vmware && doins bin/*.mrom
+ use uefi && doins bin-efi/*.efi
+ use iso && doins bin/*.iso
+ use undi && doins bin/*.kpxe
+ use usb && doins bin/*.usb
+ use lkrn && doins bin/*.lkrn
+
+ save_config config/local/general.h
+}
diff --git a/sys-firmware/ipxe/ipxe-1.21.1_p20230601-r1.ebuild b/sys-firmware/ipxe/ipxe-1.21.1_p20230601-r1.ebuild
new file mode 100644
index 000000000000..3100d26429e5
--- /dev/null
+++ b/sys-firmware/ipxe/ipxe-1.21.1_p20230601-r1.ebuild
@@ -0,0 +1,138 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit savedconfig secureboot toolchain-funcs
+
+# for 1.21.1_p20230601
+COMMIT_SHA1="4fa4052c7ebb59e4d4aa396f1563c89118623ec7"
+
+DESCRIPTION="Open source network boot (PXE) firmware"
+HOMEPAGE="https://ipxe.org/"
+SRC_URI="
+ !binary? ( https://github.com/${PN}/${PN}/archive/${COMMIT_SHA1}.tar.gz -> ${P}.gh.tar.gz )
+ binary? ( https://dev.gentoo.org/~tamiko/distfiles/${P}-bin.tar.xz )"
+S="${WORKDIR}/${PN}-${COMMIT_SHA1}/src"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~loong ~mips ~ppc ppc64 ~riscv x86"
+IUSE="+binary uefi32 uefi64 ipv6 iso lkrn +qemu undi usb vmware"
+REQUIRED_USE="!amd64? ( !x86? ( binary ) )"
+
+SOURCE_DEPEND="
+ app-arch/xz-utils
+ dev-lang/perl
+ iso? (
+ app-cdr/cdrtools
+ sys-boot/syslinux
+ )"
+BDEPEND="
+ !binary? (
+ amd64? ( ${SOURCE_DEPEND} )
+ x86? ( ${SOURCE_DEPEND} )
+ )"
+
+pkg_setup() {
+ if use uefi32 || use uefi64; then
+ secureboot_pkg_setup
+ fi
+}
+
+src_configure() {
+ use binary && return
+
+ cat > config/local/general.h <<-EOF || die
+ #undef BANNER_TIMEOUT
+ #define BANNER_TIMEOUT 0
+ EOF
+
+ if use ipv6; then
+ cat >> config/local/general.h <<-EOF || die
+ #define NET_PROTO_IPV6
+ EOF
+ fi
+
+ if use vmware; then
+ cat >> config/local/general.h <<-EOF || die
+ #define VMWARE_SETTINGS
+ #define CONSOLE_VMWARE
+ EOF
+ fi
+
+ restore_config config/local/general.h
+
+ tc-ld-disable-gold
+}
+
+ipxemake() {
+ # Q='' makes the build verbose since that's what everyone loves now
+ emake Q='' \
+ VERSION="${PV}" \
+ CC="$(tc-getCC)" \
+ LD="$(tc-getLD)" \
+ AS="$(tc-getAS)" \
+ AR="$(tc-getAR)" \
+ NM="$(tc-getNM)" \
+ OBJCOPY="$(tc-getOBJCOPY)" \
+ RANLIB="$(tc-getRANLIB)" \
+ OBJDUMP="$(tc-getOBJDUMP)" \
+ HOST_CC="$(tc-getBUILD_CC)" \
+ "$@"
+}
+
+src_compile() {
+ use binary && return
+
+ export NO_WERROR=1
+ if use qemu; then
+ ipxemake bin/808610de.rom # pxe-e1000.rom (old)
+ ipxemake bin/8086100e.rom # pxe-e1000.rom
+ ipxemake bin/80861209.rom # pxe-eepro100.rom
+ ipxemake bin/10500940.rom # pxe-ne2k_pci.rom
+ ipxemake bin/10222000.rom # pxe-pcnet.rom
+ ipxemake bin/10ec8139.rom # pxe-rtl8139.rom
+ ipxemake bin/1af41000.rom # pxe-virtio.rom
+ fi
+
+ if use vmware; then
+ ipxemake bin/8086100f.mrom # e1000
+ ipxemake bin/808610d3.mrom # e1000e
+ ipxemake bin/10222000.mrom # vlance
+ ipxemake bin/15ad07b0.rom # vmxnet3
+ fi
+
+ use uefi32 && ipxemake PLATFORM=efi BIN=bin-i386-efi bin-i386-efi/ipxe.efi
+ use uefi64 && ipxemake PLATFORM=efi BIN=bin-x86_64-efi bin-x86_64-efi/ipxe.efi
+ use iso && ipxemake bin/ipxe.iso
+ use undi && ipxemake bin/undionly.kpxe
+ use usb && ipxemake bin/ipxe.usb
+ use lkrn && ipxemake bin/ipxe.lkrn
+}
+
+src_install() {
+ insinto /usr/share/ipxe/
+
+ if use qemu || use vmware; then
+ doins bin/*.rom
+ fi
+ use vmware && doins bin/*.mrom
+ use uefi32 && newins bin-i386-efi/ipxe.efi ipxe-i386.efi
+ use uefi64 && newins bin-x86_64-efi/ipxe.efi ipxe-x86_64.efi
+ # Add a symlink for backwards compatiblity, in case both variants are
+ # enabled the x86_64 bit variant takes presedence.
+ use uefi32 && dosym ipxe-i386.efi /usr/share/ipxe/ipxe.efi
+ use uefi64 && dosym ipxe-x86_64.efi /usr/share/ipxe/ipxe.efi
+
+ use iso && doins bin/*.iso
+ use undi && doins bin/*.kpxe
+ use usb && doins bin/*.usb
+ use lkrn && doins bin/*.lkrn
+
+ if use uefi32 || use uefi64; then
+ secureboot_auto_sign --in-place
+ fi
+
+ save_config config/local/general.h
+}
diff --git a/sys-firmware/ipxe/ipxe-1.21.1_p20230601.ebuild b/sys-firmware/ipxe/ipxe-1.21.1_p20230601.ebuild
new file mode 100644
index 000000000000..efea10128f34
--- /dev/null
+++ b/sys-firmware/ipxe/ipxe-1.21.1_p20230601.ebuild
@@ -0,0 +1,137 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit savedconfig secureboot toolchain-funcs
+
+# for 1.21.1_p20230601
+COMMIT_SHA1="4fa4052c7ebb59e4d4aa396f1563c89118623ec7"
+
+DESCRIPTION="Open source network boot (PXE) firmware"
+HOMEPAGE="https://ipxe.org/"
+SRC_URI="
+ !binary? ( https://github.com/${PN}/${PN}/archive/${COMMIT_SHA1}.tar.gz -> ${P}.gh.tar.gz )
+ binary? ( https://dev.gentoo.org/~tamiko/distfiles/${P}-bin.tar.xz )"
+S="${WORKDIR}/${PN}-${COMMIT_SHA1}/src"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~loong ~mips ~ppc ppc64 ~riscv x86"
+IUSE="+binary uefi32 uefi64 ipv6 iso lkrn +qemu undi usb vmware"
+REQUIRED_USE="!amd64? ( !x86? ( binary ) )"
+
+SOURCE_DEPEND="
+ app-arch/xz-utils
+ dev-lang/perl
+ iso? (
+ app-cdr/cdrtools
+ sys-boot/syslinux
+ )"
+BDEPEND="
+ !binary? (
+ amd64? ( ${SOURCE_DEPEND} )
+ x86? ( ${SOURCE_DEPEND} )
+ )"
+
+pkg_setup() {
+ if use uefi32 || use uefi64; then
+ secureboot_pkg_setup
+ fi
+}
+
+src_configure() {
+ use binary && return
+
+ cat > config/local/general.h <<-EOF || die
+ #undef BANNER_TIMEOUT
+ #define BANNER_TIMEOUT 0
+ EOF
+
+ if use ipv6; then
+ cat >> config/local/general.h <<-EOF || die
+ #define NET_PROTO_IPV6
+ EOF
+ fi
+
+ if use vmware; then
+ cat >> config/local/general.h <<-EOF || die
+ #define VMWARE_SETTINGS
+ #define CONSOLE_VMWARE
+ EOF
+ fi
+
+ restore_config config/local/general.h
+
+ tc-ld-disable-gold
+}
+
+ipxemake() {
+ # Q='' makes the build verbose since that's what everyone loves now
+ emake Q='' \
+ CC="$(tc-getCC)" \
+ LD="$(tc-getLD)" \
+ AS="$(tc-getAS)" \
+ AR="$(tc-getAR)" \
+ NM="$(tc-getNM)" \
+ OBJCOPY="$(tc-getOBJCOPY)" \
+ RANLIB="$(tc-getRANLIB)" \
+ OBJDUMP="$(tc-getOBJDUMP)" \
+ HOST_CC="$(tc-getBUILD_CC)" \
+ "$@"
+}
+
+src_compile() {
+ use binary && return
+
+ export NO_WERROR=1
+ if use qemu; then
+ ipxemake bin/808610de.rom # pxe-e1000.rom (old)
+ ipxemake bin/8086100e.rom # pxe-e1000.rom
+ ipxemake bin/80861209.rom # pxe-eepro100.rom
+ ipxemake bin/10500940.rom # pxe-ne2k_pci.rom
+ ipxemake bin/10222000.rom # pxe-pcnet.rom
+ ipxemake bin/10ec8139.rom # pxe-rtl8139.rom
+ ipxemake bin/1af41000.rom # pxe-virtio.rom
+ fi
+
+ if use vmware; then
+ ipxemake bin/8086100f.mrom # e1000
+ ipxemake bin/808610d3.mrom # e1000e
+ ipxemake bin/10222000.mrom # vlance
+ ipxemake bin/15ad07b0.rom # vmxnet3
+ fi
+
+ use uefi32 && ipxemake PLATFORM=efi BIN=bin-i386-efi bin-i386-efi/ipxe.efi
+ use uefi64 && ipxemake PLATFORM=efi BIN=bin-x86_64-efi bin-x86_64-efi/ipxe.efi
+ use iso && ipxemake bin/ipxe.iso
+ use undi && ipxemake bin/undionly.kpxe
+ use usb && ipxemake bin/ipxe.usb
+ use lkrn && ipxemake bin/ipxe.lkrn
+}
+
+src_install() {
+ insinto /usr/share/ipxe/
+
+ if use qemu || use vmware; then
+ doins bin/*.rom
+ fi
+ use vmware && doins bin/*.mrom
+ use uefi32 && newins bin-i386-efi/ipxe.efi ipxe-i386.efi
+ use uefi64 && newins bin-x86_64-efi/ipxe.efi ipxe-x86_64.efi
+ # Add a symlink for backwards compatiblity, in case both variants are
+ # enabled the x86_64 bit variant takes presedence.
+ use uefi32 && dosym ipxe-i386.efi /usr/share/ipxe/ipxe.efi
+ use uefi64 && dosym ipxe-x86_64.efi /usr/share/ipxe/ipxe.efi
+
+ use iso && doins bin/*.iso
+ use undi && doins bin/*.kpxe
+ use usb && doins bin/*.usb
+ use lkrn && doins bin/*.lkrn
+
+ if use uefi32 || use uefi64; then
+ secureboot_auto_sign --in-place
+ fi
+
+ save_config config/local/general.h
+}
diff --git a/sys-firmware/ipxe/metadata.xml b/sys-firmware/ipxe/metadata.xml
new file mode 100644
index 000000000000..c50c4a7d775e
--- /dev/null
+++ b/sys-firmware/ipxe/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>virtualization@gentoo.org</email>
+ <name>Gentoo Virtualization Project</name>
+ </maintainer>
+ <use>
+ <flag name="binary">Use pre-built binaries</flag>
+ <flag name="uefi32">Build a 32bit UEFI program for using PXE</flag>
+ <flag name="uefi64">Build a 64bit UEFI program for using PXE</flag>
+ <flag name="iso">Build a bootable ISO for using PXE</flag>
+ <flag name="lkrn">Build a linux kernel bootable file for using with grub/etc...</flag>
+ <flag name="usb">Build a bootable USB image for using PXE</flag>
+ <flag name="undi">Build a Universal Network Device Interface driver
+ chainloading your existing PXE NIC into iPXE</flag>
+ <flag name="qemu">Build the required PXE ROM images for <pkg>app-emulation/qemu</pkg>
+ </flag>
+ <flag name="vmware">Build the PXE ROM images that VMWare uses</flag>
+ </use>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>